PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Facility

> + extensions

`AT-XY``( col# row# -- )``[ANS]` => `"[ANS] FORTH"`

  move the cursor position to the given row and column of the screen. If the output device is not a terminal this will have no effect but can still send an escape sequence.

  primitive code = [p4_at_x_y]

`KEY?``( -- key-flag )``[ANS]` => `"[ANS] FORTH"`

  if a character is available from the keyboard, return true. The `KEY` word will retrieve the actual character.

  primitive code = [p4_key_question]

`PAGE``( -- )``[ANS]` => `"[ANS] FORTH"`

  `CLRSCR`

  primitive code = [p4_dot_clrscr]

`EKEY``( -- key-code# )``[ANS]` => `"[ANS] FORTH"`

  return a keyboard event, the encoding may differ, esp. that it can contain special keys.

  primitive code = [p4_ekey]

`EKEY>CHAR``( key-code# -- key-code# 0 | char# true! )``[ANS]` => `"[ANS] FORTH"`

  primitive code = [p4_ekey_to_char]

`EKEY?``( -- ekey-flag )``[ANS]` => `"[ANS] FORTH"`

  check if a character is available from the keyboard to be received - unlike `KEY`? it will not discard non-visible codes.

  primitive code = [p4_ekey_question]

`EMIT?``( -- emit-flag )``[ANS]` => `"[ANS] FORTH"`

  if `EMIT` can safely output characters without blocking the forth by waiting for an indefinite time.

  primitive code = [p4_emit_question]

`MS``( milliseconds# -- )``[ANS]` => `"[ANS] FORTH"`

  wait at least the specified milliseconds (suspend the forth tasklet)

  primitive code = [p4_ms]

`TIME&DATE``` => `"[ANS] FORTH"`

  (no description)

  primitive code = [p4_time_and_date]